Public Class frmBesteSpieler
    ' wichtig!!!
    ' zu dieser form gehört das modul modBesteSpieler
    ' und das modul modDateiZugriff
    Private Sub frmBesteSpieler_Load(sender As Object, e As EventArgs) Handles Me.Load
        cmdLoeschen.Text = "&Alle Einträge löschen" : cmdOK.Text = "&OK"
        lblSpiel.Text = "Summen Würfeln"
        cmdLoeschen.Enabled = Not booNurAnsehen   ' löschen aktivieren/deaktivieren
    End Sub

    Private Sub cmdOK_Click(sender As Object, e As EventArgs) Handles cmdOK.Click
        If booNurAnsehen Then
            Close()
        Else             ' in datei speichern
            SpeichereDatenBesteSpieler()    '-- im modul modDateiZugriff
            Close()
        End If
    End Sub

    Private Sub cmdLoeschen_Click(sender As Object, e As EventArgs) Handles cmdLoeschen.Click
        '--# Dim sSOUNDDATEI As String = "C:\kp_spiele\FEHLER.WAV"
        Dim intAntwort As DialogResult
        Try  ' einen sound einbinden
            '--# My.Computer.Audio.Play(sSOUNDDATEI, AudioPlayMode.Background)
        Catch ex As Exception

        End Try
        intAntwort = MessageBox.Show("Bist Du sicher," & vbCrLf & "dass Du alle Einträge löschen möchtest?" _
                                     & vbCrLf & vbCrLf & "Hinweis:" & vbCrLf &
                                     "Alle Einträge werden auf Standardwerte gesetzt." & vbCrLf &
                                     "Dein Eintrag in die Liste ist danach nicht mehr möglich!", "Listeneinträge löschen" _
                                     , MessageBoxButtons.YesNo, MessageBoxIcon.Warning, MessageBoxDefaultButton.Button2)
        If intAntwort = DialogResult.Yes Then
            ErzeugeNeueDateiBesteSpieler()
            LeseDatenBesterSpieler()
            Close()
        End If
    End Sub
End Class